Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 694800 (py3-tracker, python-3-incompatible) - [TRACKER] Python-3 incompatible packages
Summary: [TRACKER] Python-3 incompatible packages
Status: CONFIRMED
Alias: py3-tracker, python-3-incompatible
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal with 7 votes (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 695010 698910 698974 698980 698984 698988 702364 707052 708186 708338 708940 708954 710134 713010 713226 714636 733456 734636 735262 735264 735268 735270 735338 735352 735358 735360 735368 735392 735464 735986 743508 743535 744484 744808 484270 550820 569948 608886 626374 640078 646748 658840 669074 673038 674734 675956 682188 683226 683900 684818 686238 689132 691486 693116 693728 694576 695000 695002 695004 695006 695008 695012 695014 695016 695018 695020 695622 696784 696794 697548 698242 698976 698978 698986 698990 699882 700490 700752 701436 701640 701760 701920 702288 702346 702396 702502 702518 704170 704200 704212 704480 704760 705354 705514 705646 705648 705650 705652 705654 705662 705932 705936 705938 705942 705948 705950 705990 706030 706136 706214 706216 706218 706238 706362 706440 pygtk-removal 707564 707912 708006 708068 708074 708076 708094 708096 708098 708100 708102 708104 708106 708108 708112 708114 708116 708122 708124 708126 708128 708132 708134 708138 708140 708142 708144 708150 708152 708156 708162 708164 708168 708170 708172 708174 708176 708178 708268 708304 708308 708336 708392 708398 708406 708410 708414 708454 708500 708706 708956 708958 708960 708966 708970 708978 708982 709008 709010 709012 709016 709018 709278 709458 709460 709466 709932 710160 710162 710164 710166 710170 710172 710180 710240 711026 711456 711858 711962 712108 712110 712112 712114 712116 712118 712120 712122 712948 712950 712956 712958 712960 713052 713054 713116 713366 713506 713518 713564 713568 714626 714628 714630 714632 715044 715172 715400 715682 716446 717490 717564 718838 720346 721474 721476 721478 721480 721482 723250 723872 724540 724640 725940 726042 730176 730182 730676 731258 732352 734572 734574 734578 734580 734586 734588 734630 734632 735190 735192 735194 735196 735200 735202 735204 735206 735208 735210 735212 735214 735216 735220 735222 735224 735226 735228 735230 735232 735234 735238 735240 735244 735246 735248 735252 735266 735272 735276 735278 735280 735282 735284 735286 735288 735290 735292 735294 735296 735298 735300 735302 735304 735306 735308 735310 735312 735314 735316 735318 735320 735324 735326 735328 735330 735332 735334 735336 735340 735342 735344 735346 735348 735350 735354 735356 735362 735364 735370 735372 735374 735376 735378 735380 735382 735384 735386 735388 735390 735394 735396 735398 735400 735402 735404 735406 735408 735410 735412 735414 735416 735418 735420 735422 735426 735428 735430 735434 735436 735438 735440 735442 735444 735446 735448 735450 735452 735458 735462 735466 735468 735470 735472 735474 735476 735478 735480 735482 735484 735486 735488 735490 735492 735494 735496 735498 735500 735502 735504 735510 735512 735514 735516 735518 735520 735522 735524 735604 735606 735608 735610 735612 735614 735616 CVE-2020-14364, XSA-335 738544
Blocks:
  Show dependency tree
 
Reported: 2019-09-18 14:19 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-10-21 06:52 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2019-09-18 14:19:46 UTC
Tracker for packages incompatible with Python 3.

Official support for Python 2.7 will end on 2020-01-01.
It is possible that inofficial support will remain until last release of Python 2.7 planned for 2020-04.

Packages with inactive upstreams, packages without Gentoo maintainers, libraries without reverse dependencies and packages less needed to be distributed in Gentoo are more likely to be masked for deletion, if not ported to Python 3 during upcoming months.

Some guides for porting to Python 3:
  https://docs.python.org/3/howto/pyporting.html
  https://docs.python.org/3/howto/cporting.html
  https://portingguide.readthedocs.io/
  http://python3porting.com/

This bug is not for any discussions (including discussions about porting to Python 3 or discussions about policies and schedules in Gentoo).
Discussions can occur in:
  gentoo-python mailing list (https://archives.gentoo.org/gentoo-python/)
  gentoo-dev mailing list (https://archives.gentoo.org/gentoo-dev/)
  #gentoo-python IRC channel in Freenode

If you are reporter of another bug, you can make this tracker bug depend on your bug by changing "Blocks" field of your bug.